
import QtQml
import QtQuick
import QtQuick.Layouts
import QtQuick.Controls

Pane {
    id: root
    width: 250
    height: 250

    Rectangle {
        width: 200; height: 200

        ListModel {
            id: experimentModel

            ListElement {
                condition: "Faces_LVF"
                volume: 4
            }
            ListElement {
                condition: "Houses_RVF"
                volume: 20
            }
            ListElement {
                condition: "Faces_CVF"
                volume: 36
            }
        }
        Component {
            id: experimentDelegate
            Row {
                spacing: 10
                Text { text: condition }
                Text { text: 'volume: ' + volume }
            }
        }

        ListView {
            anchors.fill: parent
            model: experimentModel
            delegate: experimentDelegate
        }
    }
}
